﻿using Autofac;
using SyncFusionDemo1.Helpers;
using SyncFusionDemo1.ViewModels.Pages;
using Xamarin.Forms;
using Xamarin.Forms.Xaml;

namespace SyncFusionDemo1.View.Pages
{
    [XamlCompilation(XamlCompilationOptions.Compile)]
    public partial class MasterDetailPageMaster : ContentPage
    {
        private MasterDetailPageMasterViewModel viewModel = DI.Container.Resolve<MasterDetailPageMasterViewModel>();

        public MasterDetailPageMaster()
        {
            InitializeComponent();
            BindingContext = viewModel;
        }
    }
}