﻿using Autofac;
using SyncFusionDemo1.Attributes;
using SyncFusionDemo1.Helpers;
using SyncFusionDemo1.Interfaces.Services;
using SyncFusionDemo1.View.Pages;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace SyncFusionDemo1.ViewModels.Pages
{
    [Page(typeof(Page1))]
    public class Page1ViewModel : ComboBoxNavigationViewModel
    {
        public Page1ViewModel() : base(DI.Container.Resolve<INavigationService>())
        {
            CurrentPage = this.ComboBoxPages.First(x => x.PageName == "Page 1");
        }
    }
}
